Bug 17502 - Поддержка krb5 и других модулей аутентификации
: Поддержка krb5 и других модулей аутентификации
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pam-config-control)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 17727
  Show dependency tree
 
Reported: 2008-10-09 21:20 by
Modified: 2008-11-08 20:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-10-09 21:20:19
Необходимо добавить поддержку аутентификации через модуль pam_krb5, а также
обобщённый вариант добавления других модулей аутентификации, без необходимости
модификации для этого данного пакета.

То есть чтобы появление файлов system-auth-* system-auth-use_first_pass-*
приводило к появлению нового варианта аутентификации... При этом необходимо,
чтобы файлы вида /etc/pam.d/system-auth-*.rpmnew, например
/etc/pam.d/system-auth-ldap.rpmnew, исключались из списка.
------- Comment #1 From 2008-10-10 19:26:36 -------
Мой вариант решения таков:

http://git.altlinux.org/people/iv/packages/?p=pam-config.git;a=summary

Теперь хотелось бы увидеть это в Сизифе.
------- Comment #2 From 2008-11-05 17:14:51 -------
(In reply to comment #1)
> Мой вариант решения таков:
> 
> http://git.altlinux.org/people/iv/packages/?p=pam-config.git;a=summary
> 
> Теперь хотелось бы увидеть это в Сизифе.
Дима даёт добро на отправку пакета в Сизиф.
------- Comment #3 From 2008-11-05 17:36:53 -------
(In reply to comment #2)
> Дима даёт добро на отправку пакета в Сизиф.
> 

Если я правильно понял, это означает, что я могу просто заливать пакет в  i/S.
Сделано.
------- Comment #4 From 2008-11-08 20:39:27 -------
Протестировал pam-config-control-1.4.4-alt1 из Сизифа. Работает.